2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.73 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.72 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.
	* pcl-cvs.texi: Update for texinfo 5.x.

2013-01-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.71 released.

2013-01-21  Vin Shelton  <acs@xemacs.org>

	* Makefile (REQUIRES): New tramp update requires sh-script.

2009-11-24  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.70 released.

2009-11-17  Adrian Aichner  <adrian@xemacs.org>

	* pcl-cvs-parse.el (cvs-parse-status): Ignore "Commit Identifier"
	fields.

2009-11-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.69 released.

2009-11-09  Mike Sperber  <mike@xemacs.org>

	* pcl-cvs.el (vc-do-command): Correctly handle `t' buffer argument
	to `vc-do-command'.

2007-10-30  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.68 released.

2007-10-29  Ville Skyttä  <scop@xemacs.org>

	* Makefile (REQUIRES): Add tramp for new vc-hooks and gnus for tramp.

2006-07-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.67 released.

2006-07-26  Mike FABIAN  <mfabian@suse.de>

	* pcl-cvs-parse.el (cvs-parse-run-table): Suppress scary warning.

2004-12-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.66 released.

2004-12-08  Steve Youngs  <steve@youngs.au.com>

	* package-info.in (provides): Remove easy-mmode.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.65 released.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Use STANDARD_DOCS instead of explicitly giving the targets
	and dependencies.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-10-14  Ville Skyttä  <scop@xemacs.org>

	* Makefile (MANUAL): Removed (unused).

2002-07-30  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.64 released.

2002-07-16  Adrian Aichner  <adrian@xemacs.org>

	* .cvsignore: Add generated .info* and .html files.

2002-06-21  Christian Schmitt  <Christian.Schmitt@dresdner-bank.com>

        * pcl-cvs-defs.el (cvs-version): Call CVS using `cvs-program'.

2002-06-04  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.63 released.

2002-06-02  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.62 released.

	* cvs-log.el ("CVS-Log"): Wrap Jeff's patch in a test for xemacs
	because his patch breaks GNU/Emacs.

2002-05-15  Jeff Mincy  <jeff@delphioutpost.com>

	* cvs-log.el (Repository): enable font-lock 

2002-05-07  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.61 released.

2002-05-02  Steve Youngs  <youngs@xemacs.org>

	* easy-mmode.el: Moved to xemacs-base.

	* Makefile (EXTRA_SOURCES): Removed.

2002-03-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): 1.60 released.

2002-03-18  Adrian Aichner  <adrian@xemacs.org>

	* pcl-cvs-parse.el (cvs-parse-ignored-messages): Ignore messages
	from cvswrapper server.

2002-03-05  Steve Youngs  <youngs@xemacs.org>

	* pcl-cvs.texi (Customization): Add note about setting
	'cvs-diff-flags' before PCL-CVS is loaded and that PCL-CVS gets
	the value of these flags from ~/.cvsrc.

2002-01-26  Adrian Aichner  <adrian@xemacs.org>

	* pcl-cvs-defs.el (cvs-diff-ignore-marks): Update docstring by synch.
	* pcl-cvs-defs.el (cvs-confirm-removals): Ditto.
	* pcl-cvs-defs.el (cvs-add-default-message): Ditto.
	* pcl-cvs-defs.el (cvs-mode-map): Comment out mapping of
	`cvs-mode-undo' to undo, Add mappings for "z", "\C-m", "!" and
	[mouse-2].  Remove bad mapping of cvs-mode-force-command to "M-f"
	(also submitted to pcvs in GNU Emacs).
	* pcl-cvs-info.el: Cosmetic synch with pcvs.
	* pcl-cvs-info.el (cvs-applicable-p): Ditto.
	* pcl-cvs-info.el (cvs-fileinfo-pp): Ditto.
	* pcl-cvs-info.el (cvs-fileinfo<): Ditto.
	* pcl-cvs-parse.el (cvs-parse-buffer): Update docstring by synch.
	* pcl-cvs-parse.el (cvs-parse-merge): Ditto.
	* pcl-cvs-util.el: Cosmetic synch with pcvs.
	* pcl-cvs-util.el (cvs-pop-to-buffer-same-frame): Ditto.
	* pcl-cvs-util.el (cvs-bury-buffer): Don't delete existing window.
	* pcl-cvs-util.el (cvs-insert-strings): New.
	* pcl-cvs-util.el (cvs-prefix-set): Cosmetic synch with pcvs.
	* pcl-cvs.el: Cosmetic synch with pcvs.
	* pcl-cvs.el (cvs-diff-flags): Add to list of defaults.
	* pcl-cvs.el (cvs-mode!): Cosmetic synch with pcvs.
	* pcl-cvs.el (cvs-temp-buffer): Ditto.
	* pcl-cvs.el (cvs-cmd-do): Ditto.
	* pcl-cvs.el (cvs-run-process): Ditto.
	* pcl-cvs.el (cvs-sentinel): Ditto.
	* pcl-cvs.el (cvs-parse-process): Ditto.
	* pcl-cvs.el ((cvs-mode-revert-buffer . SIMPLE)): Ditto.
	* pcl-cvs.el (cvs-quickdir): New.
	* pcl-cvs.el (cvs-update-filter): Cosmetic synch with pcvs.
	* pcl-cvs.el (cvs-mode): Ditto.
	* pcl-cvs.el (cvs-mouse-toggle-mark): Ditto.
	* pcl-cvs.el ((cvs-mode-diff . DOUBLE)): Ditto.
	* pcl-cvs.el ((cvs-mode-diff-head . SIMPLE)): Ditto.
	* pcl-cvs.el ((cvs-mode-diff-vendor . SIMPLE)): Ditto.
	* pcl-cvs.el ((cvs-mode-idiff-other . NOARGS)): Ditto.
	* pcl-cvs.el (cvs-mode-delete-lock): Ditto.
	* pcl-cvs.el (cvs-mode-add-change-log-entry-other-window): Ditto.
	* pcl-cvs.el (cvs-dired-use-hook): Ditto.
	* pcl-cvs.texi: Add Stefan Monnier (incomplete merge).

2002-01-22  Jarl Friis  <jarl@diku.dk>

	* pcl-cvs.el (cvs-reread-cvsrc): using default parameters for
	cvs-commands not listed in ~/.cvsrc

2002-01-07  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (HTML_FILES): New.
	* Makefile (HTML_DEP): New.

2001-12-22  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Update.

2001-12-21  Adrian Aichner  <adrian@xemacs.org>

	* pcl-cvs.el (cvs-do-removal): Correct usage of `cvs-temp-buffer'
	to make listing of files work.

2001-06-06  Raymond Toy  <toy@rtp.ericsson.se>

	* cvs-edit.el (cvs-edit-done): Check for a null vc-comment-ring
	and initialize if necessary.

2001-04-12  Mike Sperber  <mike@xemacs.org>

	* pcl-cvs.el (cvs-mode-diff): Remove call to
	`cvs-prepare-diff-mode'.
	Use diff-mode again.

	* cvs-compat.el (cvs-prepare-diff-mode): Remove again.

	* Makefile (REQUIRES): Add prog-modes.

2001-02-24  Ben Wing  <ben@xemacs.org>

	* Makefile (REQUIRES):
	Need ediff and mail-lib to avoid compilation problems.  Also seen
	by Jeff Miller and Vin Shelton.

2001-02-25  Jeff Miller  <jmiller@cablepseed.com>

	* Makefile (REQUIRES): Add mail-lib, ediff.

2000-10-03  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* pcl-cvs.el (cvs-mode-add-change-log-entry-other-window):
	Bind change-log-default-name to nil so that find-change-log
	returns	right value.

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

2000-07-16  Mike Sperber  <mike@xemacs.org>

	* Makefile (VERSION): 1.48

2000-07-16  Yoshiki Hayashi <yoshiki@xemacs.org>

	* cvs-status.el (cvstree-dstr-char-space): Remove 2-byte
	characters so even a Mule-compiled cvs-status will work onn
	non-Mule.

2000-05-07  Mike Sperber  <mike@xemacs.org>

	* Makefile: Include easy-mmode.el.

2000-04-30  Mike Sperber  <mike@xemacs.org>

	* cvs-compat.el (cvs-prepare-diff-mode): Fix; t'was broken before.

	* pcl-cvs.el ((require 'easy-mmode)): Reverted to using
	easy-mmode.  After all, it's needed only at compile-time.

2000-04-16  Mike Sperber  <mike@xemacs.org>

	* Fresh update to PCL-CVS 2.9.9.

1999-06-16  Greg Klanderman  <greg@klanderman.net>

	* Makefile (VERSION): 1.39

1999-06-16  Yves BLUSSEAU  <blusseau@pharmacie.unicaen.fr>

	* pcl-cvs.el (cvs-run-process): bugfix - "append" was being called
 	instead of "list"; error was signalled when the variable
 	cvs-cvsroot was set.

1998-11-17  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-retrieve-revision-to-tmpfile): bugfix for remote 
	repositories -- don't use cvs-fileinfo->full-path but rather bind
	default-directory to the path and send just the file-name to cvs.

1998-11-05  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-edit-mode): add (kill-all-local-variables)
	(cvs-mode): ditto.
	(toplevel): no need to require 'help-macro, axe it.

1998-10-29  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-mode-add-change-log-entry-other-window): rewrite 
	to fix bug reported by Neal Becker; was completely broken.
	(toplevel): defvar variables dynamically bound by parser to
	suppress compile warnings.

1998-10-23  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-status-parse-table): handle "Needs Patch" status.
	(cvs-quote-multiword-string): do a better job of quoting.
	document that this function is only used for informational output.
	(toplevel): use eval-when-compile for compiler pacifying defvar's.
	(parse-string): remove.
	(cvs-make-list): remove.
	(cvs-parse-arguments): new function, use it instead of cvs-make-list.
	(toplevel): namespace sanitization:
		extract-matches     -->  cvs-extract-matches
		parse-alternatives  -->  cvs-parse-alternatives
		parse-buffer        -->  cvs-parse-buffer
		parse-once          -->  cvs-parse-once
		run-cvs-process     -->  cvs-run-process

1998-10-22  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (run-cvs-process): Don't use cvs-shell, call
	cvs-program directly.  Accept CVS arguments as lists of strings.
	(cvs-do-update): update call to run-cvs-process.
	(cvs-do-checkout): ditto.
	(cvs-do-status): ditto.
	(cvs-with-flags-1): use cvs-quote-multiword-string.

1998-10-21  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-update-parse-table): 
	(cvs-status-parse-table): ignore "waiting for lock" and "obtained
	lock" messages as they are handled by cvs-update-filter.

1998-10-21  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-sentinel): don't kill the process buffer; leave
	it around in case there were parse errors and we'd like to check
	out what went wrong.
	(cvs-last-output-buffer): new variable.
	(run-cvs-process): kill the old output buffer.

1998-10-21  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-debug-parser): new variable.
	(cvs-update-parse-table): use it.
	(cvs-status-parse-table): use it.
	(parse-once): give PROG and COLLECT `progn' like semantics.

	* pcl-cvs.texi (Contributors): update email addresses for Greg
	Woods and Jamie Zawinski.
	(Bugs): update addresses to send bug reports to
	(Archives): update availability information

	* pcl-cvs.el (cvs-status-cmd-flags): default to nil; recursive
	status runs are now correctly parsed, no need to run locally.
	(cvs-auto-remove-handled-directories): default to t.
	(cvs-retrieve-revision-to-tmpfile): use the function `temp-directory'
	if it is bound to compute the temporary file name.

1998-10-21  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el: don't separate stdout and stderr output from the 
	`cvs update' or `cvs status' process; parse them together.

	* Makefile (VERSION): 1.37

1998-10-20  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-retrieve-revision-to-tmpfile): use
	`shell-command-switch', rather than "-c".

1998-10-19  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs-xemacs.el (cvs-need-action-face): 
	(cvs-handled-face): 
	(cvs-unknown-face): change colors for light background.

1998-10-16  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-update-stdout-parse-table): avoid setting the
	fileinfo's directory to nil when unsure of the directory during a
	merge.  unfortunately, parsing of merges is still not quite right;
	blasted CVS sometimes sends the message about the file already
	containing the differences later, after intervening info on other
	files.

	* Makefile (VERSION): 1.36

1998-10-14  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-update-pp): add one column to status field width.
	(cvs-status-pp): tweak formatting so columns line up.
	(cvs-status-stdout-parse-table): fix parsing of locally removed files.
	* pcl-cvs-xemacs.el (pcl-cvs-handled-list): 
	(pcl-cvs-need-action-list): tweak for formatting changes.

	* Makefile (VERSION): 1.35.

1998-10-12  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-mode-debug-fileinfo): new function.
	(cvs-update-stderr-parse-table): fix REGEXP for ignored conflict
	warnings (real info is on stdout).
	(cvs-update-stderr-parse-table): fix other REGEXPs that don't end in `$'
	(cvs-update-stdout-parse-table): ditto.
	(cvs-update-stdout-parse-table): fix parsing of merge info.

	* pcl-cvs.texi: more cleanup.

	* Makefile (VERSION): 1.34.

1998-10-09  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-status-stdout-parse-table): fix bug accessing
	the *match-list* for unknown files.
	(cvs-mode-quit): new cvs-mode command.
	(cvs-mode-map): bind it to `q' instead of bury-buffer.
	(cvs-shell-c-flag): new variable.
	(run-cvs-process): use it.
	(cvs-shell-c-flag): remove, use shell-command-switch instead.
	(cvs-update-stdout-parse-table): fix parsing bug: COLLECT evals
	only a single form, it is not an implicit progn.

	* pcl-cvs.texi: more cleanup.

1998-10-08  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.texi: update documentation.

	* pcl-cvs.el (cvs-mode-tag): use cvs-with-flags.
	(cvs-mode-rtag): ditto.
	(cvs-mode-diff-cvs): ditto.
	(cvs-mode-diff-backup): ditto.
	(cvs-mode-diff-head): ditto.
	(cvs-mode-diff-vendor): ditto.
	(cvs-mode-remove-file): ditto.
	(cvs-mode-undo-local-changes): ditto.
	(cvs-update-file-flags): new.
	(cvs-mode-update): use cvs-with-flags.
	(cvs-mode-commit, cvs-mode-changelog-commit): ditto, set
	cvs-commit-flags-to-use from cvs-commit-flags.
	(cvs-edit-done): use cvs-commit-flags-to-use.
	(cvs-local): remove variable.
	(cvs-last-update-flags): new.
	(cvs-last-status-flags): new.
	(cvs-mode-redo): use cvs-with-flags.
	(cvs-status-cmd-flags): new
	(cvs-checkout-cmd-flags): new
	(cvs-examine): use cvs-with-flags.
	(cvs-examine-other-window): use cvs-with-flags.
	(cvs-update): use cvs-with-flags.
	(cvs-update-other-window): use cvs-with-flags.
	(cvs-do-update): remove LOCAL argument.
	(cvs-checkout): use cvs-with-flags.
	(cvs-checkout-other-window): use cvs-with-flags.
	(cvs-do-checkout): use cvs-checkout-cmd-flags.
	(cvs-status): use cvs-with-flags.
	(cvs-status-other-window): use cvs-with-flags.
	(cvs-do-status): remove LOCAL argument, use cvs-status-cmd-flags.
	(cvs-mode-map): swap bindings for cvs-mode-emerge and
	cvs-mode-ediff, placing cvs-mode-ediff on 'e' as that is the
	preferred interface, and was what previous versions had.

1998-10-07  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-with-flags): new macro - handle flag setting.
	(cvs-with-flags-1): helper function.
	(cvs-add-flags): new variable
	(cvs-commit-flags): new.
	(cvs-remove-flags): new.
	(cvs-undo-flags): new.
	(cvs-*-flags-history): new history variables.
	(cvs-mode-add): use cvs-with-flags.
	(cvs-mode-status): ditto.
	(cvs-mode-log): ditto.

	* Makefile (VERSION): bump to 1.32

1998-10-05  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-update-stdout-parse-table): merge in ignoring of 
	"already contains the differences between" message from XEmacs
	1.03.
	More XEmacs parser merging originally from Oscar Figueiredo:
	(cvs-update-stdout-parse-table): Parse merge information.
	(cvs-update-stderr-parse-table): Accept standalone conflict
	warnings as the additional information is on stdout in recent CVS
	versions.

1998-10-04  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-changelog-ours-p): use add-log-full-name,
	user-full-name, and (user-full-name), and add-log-mailing-address, 
	user-mail-address, and (user-mail-address), in that order, and
	protected by the appropriate boundp and fboundp checks.
	(cvs-mode-emerge): bind default-directory to the fileinfo's
	directory.  merged in from XEmacs 1.03.
	(cvs-sentinel): message when process completes.  merged in from
	XEmacs 1.03.

1998-10-01  Greg Klanderman  <greg@alphatech.com>

	* Makefile (VERSION): set back to 1.30, no 2.xx versions allowed
	in XEmacs 21.0.

	* pcl-cvs.el (cvs-add-how): bugfix, change call to
	cvs-add-file-update-buffer to cvs-add-file-how.

1998-09-30  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs-xemacs.el: Add a submenu under "Tools".
	Clean up the mode menu.
	Provide 'pcl-cvs-xemacs.

1998-09-28  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-update-stdout-parse-table): handle patched files 
	like updated files, ie, mark them handled.

1998-09-27  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-changelog-name): bugfix for previous change;
	don't pass nil to expand-file-name when change-log-default-name is 
	nil.

	* pcl-cvs-xemacs.el (pcl-cvs-font-lock-keywords): add some new
	faces: cvs-unknown-face, cvs-handled-face, cvs-need-action-face,
	cvs-marked-face.  remove cvs-status-face.

	* pcl-cvs.el (cvs-mode-undo-local-changes): Don't update cvs
	fileinfo state until we know we're not going to signal an error on
	an unhandled case.

	* pcl-cvs.el (cvs-add-file-update-buffer): update docs, see below.
	(cvs-add-do-update): new function - just update the buffer and tins
	(cvs-add-buffer-how): new function - has just the part of
	cvs-add-file-update-buffer that wants to be done prior to actually 
	running cvs - eg figure out what to do with each file.
	(cvs-add-how): new function - separate files to be added into new
	files and resurrected files.
	(cvs-mode-add): Use the above to avoid modifying the buffer before 
	the add is actually performed.  This way we don't get confused if
	the user quits out of the add while entering the description.

1998-09-17  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* pcl-cvs.el (cvs-set-display-cvsroot): Properly set; if there's a
 	CVS/Root file, then plain 'cvs update' will use that.  Otherwise,
 	our `cvs-cvsroot' variable is right, || $CVSROOT.
	(run-cvs-process): Clean up process and file if *cvs* buffer is
 	killed using a couple of kill buffer hooks.
	(cvs-do-update): Moved `cvs-set-display-cvsroot' and setq
	`cvs-working-directory' into #'run-cvs-process
	(cvs-do-status): ditto

1998-09-10  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* pcl-cvs.el (cvs-changelog-name): Use `change-log-default-name'
	so it becomes possible to use "ChangeLog.local" files to avoid CVS 
	merge clashes in the canonical shared ChangeLog files.

1998-09-24  Greg Klanderman  <greg@alphatech.com>

	* Makefile: update to newer XEmacs package protocol (Steve Baur)

1998-09-11  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-mode-redo): bugfix: pass cvs-dont-change-disc 
	to cvs-do-update.

	* pcl-cvs-xemacs.el (pcl-cvs-font-lock-keywords): require space
	between fields on each line.

1998-09-07  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs-xemacs.el: first pass at fontification for 2.0b2.

	* pcl-cvs.el (cvs-status-stdout-parse-table): comment (debug) call

1998-09-07  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (cvs-do-removal): bugfix in file error catching from
	Karl Hegbloom.

	* pcl-cvs.el
	(cvs-get-marked): fix mark toggling.
	(cvs-mode-commit): 
	(cvs-mode-add): 
	(cvs-mode-diff-cvs): 
	(cvs-mode-diff-backup): 
	(cvs-mode-diff-head): 
	(cvs-mode-diff-vendor): 
	(cvs-mode-status): 
	(cvs-mode-log): 
	(cvs-mode-update): 
	(cvs-mode-ignore): 
	(cvs-mode-undo-local-changes): 
	(cvs-mode-acknowledge): 
	(cvs-mode-remove-file): 
	(cvs-mode-tag): 
	(cvs-mode-rtag): 
	(cvs-mode-byte-compile-files): 
	(cvs-mode-changelog-commit): pass the right ignore-marks value 
	to cvs-get-marked.  Diff commands no longer take "ignore-marks"
	argument; use cvs-mode-toggle-marks (bound to T) to toggle using
	marks.

1998-09-04  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el (run-cvs-process): buffer formatting improvement.
	show CVSROOT directory and working directory in header.
	(cvs-update-pp): 
	(cvs-status-pp): report dirchanges relative to working dir.
	(run-cvs-process): cleanup leading and trailing space around args

1998-09-04  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el
	(cvs-find-program): nuke this bogosity.
	(run-cvs-process): don't require cvs-program to contain the
	absolute path; let it be found on the PATH if that's what the user 
	wants.

1998-09-04  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el
	(cvs-auto-remove-handled-directories): reintroduce this variable.
	(cvs-parse-process): use it.
	(cvs-add-sub): remove unused param cvs-buf.
	(cvs-mode-add): fix call to cvs-add-sub, nuke unused "buf".
	(cvs-dir-empty-p): correct args in docstring.
	(cvs-mode-commit): remove unused binding of cvs-buf
	(cvs-old-ediff-interface): ditto.
	(cvs-mode-emerge): ditto.
	(cvs-mode-changelog-commit): ditto.
	(cvs-execute-list): remove unused binding of arg-str
	(cvs-do-removal): missing quote on (apply 'signal err).

1998-09-04  Greg Klanderman  <greg@alphatech.com>

	* pcl-cvs.el
 	(run-cvs-process): use (force-mode-line-update).
	(XEmacs support): don't autoload pcl-cvs-fontify; it already has
	an autoload cookie.

	* Makefile: cleanup -- don't put debug .el's in the binkit.

1998-08-25  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* pcl-cvs.texi: Add direntry

	* Makefile (REQUIRES): elib dired

	* pcl-cvs.el: Roll in changes taken from diffs I pulled down from
 	the cvs.xemacs.org cvsweb server, and add autoload cookies
 	throughout.  Changed "Lucid" to "XEmacs".
	(cvs-find-program) Use PATH
	(cvs-default-ignore-marks) New variable, from old patch.
	(cvs-assert-applicable) Fix typo in arglist
	(cvs-examine*, cvs-update*, ...) bind `use-dialog-box' nil
	(cvs-mode) display keybind for `cvs-mode-mark-matching-files' and
 	`cvs-mode-toggle-marks'.
	(cvs-mode-map) keybind the above
	(cvs-mode-mark-matching-files, cvs-mode-toggle-marks),
	(cvs-ignore-marks-p) Copied in from old patch
	(cvs-do-removal) Use `condition-case' around file deletion in case
 	the file has already been burned.
	(cvs-get-marked): Use `cvs-default-ignore-marks' and
 	`cvs-ignore-marks-p'.  This could be simplified.

	* Makefile: adjust ELCS

	* cookie.el, dll-debug.el, dll.el, elib-node.el: Removed the elib
 	library stuff, since it now resides in its own package.

